
// fragment shader

#version 330
uniform sampler2D theTexture;
in vec2 v_texcoord;

out vec4 glFragColor;

void main()
{
    // Compute gray scale  from texture and set fragment color
    vec4 texColor = texture(theTexture, v_texcoord);
    float grayScale = 0.3 * texColor.r + 0.59 * texColor.g + 0.11 * texColor.b;
    glFragColor = vec4(grayScale, grayScale, grayScale, texColor.a);
}